package de.ctdo.bunti.control;

import de.ctdo.bunti.model.BuntiDevice;

import java.util.Collection;
import java.util.Map;

public interface BuntiController {

    Collection<BuntiDevice> getAllDevices();
    BuntiDevice getDeviceById(int deviceId);

    boolean updateDeviceData(int deviceId, Map<String, Object> options);

}
